XMLReader::next
XMLReader::read
XMLReader
PHP Manual

# XMLReader::open

(PHP 5 >= 5.1.2)

XMLReader::open — Set the URI containing the XML to parse

### 설명

bool XMLReader::open ( string `$URI` [, string `$encoding` [, int `$options`= 0 ]] )

Set the URI containing the XML document to be parsed.

### 인수

`URI`

  URI pointing to the document.

`encoding`

  The document encoding or `NULL`.

`options`

  A bitmask of the LIBXML_* constants.

### 반환값

성공할 경우 `TRUE`를, 실패할 경우 `FALSE`를 반환합니다.

### 변경점

버전 | 설명
--- | ---
5.2.0 | `encoding` and `options` were added.

### 참고

- XMLReader::xml - Set the data containing the XML to parse
- XMLReader::close - Close the XMLReader input

XMLReader::next
XMLReader::read
XMLReader
PHP Manual